#ifndef _SCP_LOG_H_
#define _SCP_LOG_H_

#define _DEBUG_
#ifdef _DEBUG_
#define SCP_ERR(...) do{ printf("(%s:%d)", __FILE__, __LINE__); printf( __VA_ARGS__);}while(0);
#define SCP_ERR_OUT(__lbl, ...)	do{ printf("(%s:%d)", __FILE__, __LINE__); printf( __VA_ARGS__); goto __lbl;}while(0);
#define SCP_DBG(...) do{ printf("(%s:%d)", __FILE__, __LINE__); printf( __VA_ARGS__);}while(0);
#else
#define SCP_ERR(...) do {printf( __VA_ARGS__);}while(0);
#define SCP_ERR_OUT(__lbl, ...)	do { printf( __VA_ARGS__); goto __lbl;}while(0);
#define SCP_DBG(...)
#endif

#endif

